import { Connect } from '@genesislcap/foundation-comms';
import { ZeroGridPro } from '@genesislcap/foundation-zero-grid-pro';
import { FASTElement } from '@microsoft/fast-element';
export declare class SelectFields extends FASTElement {
    allFieldsGrid: ZeroGridPro;
    selectedFieldsGrid: ZeroGridPro;
    connect: Connect;
    fieldsToRemove: any[];
    fieldData: any;
    report: {};
    selectedFields: any;
    selectedDatasource: string;
    selectedFieldsChanged(oldValue: any): void;
    connectedCallback(): void;
    makeSureFieldValueIsNotLost: (array: any) => any;
    setSelectedFields(fields: {
        [key: string]: any;
    }): void;
    loadAllFieldsGrid(): Promise<void>;
    loadSelectedFieldsGrid(): Promise<void>;
    onTextFieldChange: (value: any, params: any) => Promise<void>;
    refreshSelectFieldGridData: () => void;
    removeSelectedFields: () => void;
    selectDefaultFields(): void;
}
//# sourceMappingURL=select-fields.d.ts.map